Results 1 to 4 of 4
  1. hrhoades's Avatar
    Posts
    67 Posts
    Global Posts
    68 Global Posts
       #1  
    Hi,

    I just stumbled across an announcement from foursquare that, "Starting on June 1, 2014, API requests using versions 20120609 and lower will no longer be supported, and these requests will be rejected."
    See,

    https://groups.google.com/forum/#!to...pi/xDXlV2EpMnM

    I know Zhephree is no longer actively working on the webOS version anymore, so hoping someone with the skills might look into this (I do not have the skills or would make the attempt).

    A big thanks to Zhephree and any others who have helped make this one of my most used apps.

    Howard
    Palm III, Palm T3, Palm Treo 650, Palm Pre+, hp Pre 3, Touchpad
  2. #2  
    Quote Originally Posted by hrhoades View Post
    Hi,

    I just stumbled across an announcement from foursquare that, "Starting on June 1, 2014, API requests using versions 20120609 and lower will no longer be supported, and these requests will be rejected."
    See,

    https://groups.google.com/forum/#!to...pi/xDXlV2EpMnM

    I know Zhephree is no longer actively working on the webOS version anymore, so hoping someone with the skills might look into this (I do not have the skills or would make the attempt).

    A big thanks to Zhephree and any others who have helped make this one of my most used apps.

    Howard
    Have a look at this thread:

    Foursquare login error
  3. hrhoades's Avatar
    Posts
    67 Posts
    Global Posts
    68 Global Posts
       #3  
    Quote Originally Posted by horzel View Post
    Have a look at this thread:

    Foursquare login error
    horzel, I don't think you read the announcement. They'll now be using the version requests to reject older versions.

    "As originally announced a few months ago, we’re continuing with our efforts to version the Foursquare API better. Last month we started requiring a version parameter in all API requests, and today we’re announcing that we’re officially deprecating versions that are now nearly two years old. Starting on June 1, 2014, API requests using versions 20120609 and lower will no longer be supported, and these requests will be rejected. Please note that this covers all requests, including POST requests.

    Just like when we deprecated versionless API requests, we will be conducting a sustained API brownout as a last-minute final warning to developers still using old versions. On May 15, 2014, API requests passing in versions 20120609 or lower will be rejected for part of the day. To ensure the smoothest experience for your users, we recommend making any version upgrades prior to this date."
    Palm III, Palm T3, Palm Treo 650, Palm Pre+, hp Pre 3, Touchpad
  4. #4  
    Quote Originally Posted by hrhoades View Post
    horzel, I don't think you read the announcement. They'll now be using the version requests to reject older versions.

    "As originally announced a few months ago, we’re continuing with our efforts to version the Foursquare API better. Last month we started requiring a version parameter in all API requests, and today we’re announcing that we’re officially deprecating versions that are now nearly two years old. Starting on June 1, 2014, API requests using versions 20120609 and lower will no longer be supported, and these requests will be rejected. Please note that this covers all requests, including POST requests.

    Just like when we deprecated versionless API requests, we will be conducting a sustained API brownout as a last-minute final warning to developers still using old versions. On May 15, 2014, API requests passing in versions 20120609 or lower will be rejected for part of the day. To ensure the smoothest experience for your users, we recommend making any version upgrades prior to this date."
    hrhoades, I think you have not read the message in the thread I gave?

    Foursquare login error

    Please check this msg from Herrie that he did his best to update the foursquare app, his new version is 2.8.7 and is working for me, he used a setting of 20140131

Similar Threads

  1. Foursquare App
    By GrantHeppes in forum webOS Development
    Replies: 22
    Last Post: 10/24/2010, 03:16 PM
  2. Foursquare app
    By chris0101 in forum webOS Apps & Games
    Replies: 1
    Last Post: 10/21/2010, 11:35 AM
  3. Foursquare v1.5
    By Zhephree in forum Zhephree
    Replies: 10
    Last Post: 08/04/2010, 10:17 AM
  4. Foursquare
    By minidreamin in forum webOS Apps & Games
    Replies: 1
    Last Post: 05/01/2010, 07:53 AM
  5. Foursquare app is here!
    By Hz-R in forum webOS Apps & Games
    Replies: 9
    Last Post: 03/31/2010, 08:17 PM

Posting Permissions